Package org.gradle.api.artifacts

# Interface VariantFileMetadata

public interface VariantFileMetadata
Part of a component variant's metadata representing a file and its location.

Since:
  6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Get the name of the file.
  `String`
  `getUrl()`
  Get the location of the file relative to the corresponding metadata file in the repository.

- ## Method Details

  - ### getName

    String getName()
    Get the name of the file.
    Returns:
      the name of the file

  - ### getUrl

    String getUrl()
    Get the location of the file relative to the corresponding metadata file in the repository. This is the same as the file name, if the file is located next to the metadata file.
    Returns:
      relative location of the file